import { CSSProperties, PureComponent } from 'react';
export interface AnimateChildProps {
    transitionName?: string | object;
    animation?: {
        [key: string]: (node: Element | Text, end: () => void) => void;
    };
    style?: CSSProperties;
}
export default class AnimateChild extends PureComponent<AnimateChildProps, any> {
    static displayName: string;
    stopper: any;
    style?: CSSProperties;
    componentWillUnmount(): void;
    componentWillEnter(done: (child: AnimateChild) => void): void;
    componentWillAppear(done: (child: AnimateChild) => void): void;
    componentWillLeave(done: (child: AnimateChild) => void): void;
    transition(animationType: string, finishCallback: (child: AnimateChild) => void): void;
    stop(): void;
    getStyle(style?: CSSProperties): CSSProperties | undefined;
    render(): {} | null | undefined;
}
